import 'package:flutter/material.dart';

class RadiusSimple {
  final double all;
  final double topLeft;
  final double topRight;
  final double bottomLeft;
  final double bottomRight;

  RadiusSimple.all(this.all)
      : topLeft = all,
        topRight = all,
        bottomLeft = all,
        bottomRight = all;

  RadiusSimple.only({
    this.topLeft,
    this.topRight,
    this.bottomLeft,
    this.bottomRight,
  }) : this.all = null;

  RadiusSimple._({
    this.all = 0,
    this.topLeft,
    this.topRight,
    this.bottomLeft,
    this.bottomRight,
  });
}
