import 'package:flutter/material.dart';
import 'package:flutter_simple/src/simple/widgets/text_simple.dart';

class RichTextSimple extends StatelessWidget {
  // TODO
  // urls
  // phones
  // dates

  // atributos
  final int maxLines;
  final bool isCenter;
  final bool isExpandend;

  final List<TextSimple> texts;

  RichTextSimple({
    Key key,
    this.maxLines = 1,
    // custom
    this.isCenter = false,
    this.isExpandend = false,
    this.texts,
    // this.mainTextStyleSimple,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    Widget textSimple = this._buildRichTextSimple();

    if (this.isCenter == true)
      textSimple = Center(
        child: textSimple,
      );

    if (this.isExpandend == true)
      textSimple = Expanded(
        child: textSimple,
      );

    return textSimple;
  }

  Widget _buildRichTextSimple() {
    return RichText(
      key: this.key,
      text: TextSpan(
        text: '',
        children: this
            .texts
            .map(
              (textSimple) => TextSpan(
                text: textSimple.text,
                style: textSimple.textStyle,
              ),
            )
            .toList(),
      ),
    );
  }
}
